// JavaScript Document


$(function(){

    var href=window.location.href.split('/')[window.location.href.split('/').length-1].substr(0,4).toLowerCase();
    if(href.length>0)
    {
    $("ul.nav li").find("a[href^="+href+"]").not($('.sub_nav a')).addClass("hover")
    }else{
    $("ul.nav li").find("a[href^='index']").not($('.sub_nav a')).addClass("hover")
    }
//$('.nav a').not($('.nav a.hover,.nav .sub_nav a')).hover(
//function(){$(this).stop().animate({backgroundPosition: '0 0'},"fast")
//},function(){$(this).stop().animate({backgroundPosition: '0 -150px'})
//})

$(".scrb1").scrollable({size:3,items:".scrb1 ul",loop:true}).autoscroll({ autoplay: true,interval:4000 }).navigator({navi:".tab01",naviItem:'dd',activeClass:"active"});
$(".scrb2").scrollable({size:5,items:".scrb2 ul",loop:true}).autoscroll({ autoplay: true,interval:4000 }).navigator({navi:".tab02",naviItem:'dd',activeClass:"active"});
$(".scrb3").scrollable({size:5,items:".scrb3 ul",loop:true,prev:".arr_l",next:".arr_r"});
$(".scrb4").scrollable({size:3,items:".scrb4 ul",loop:true,prev:".arr_l1",next:".arr_r1"}).autoscroll({ autoplay: true,interval:4000 });
$(".scrb5").scrollable({size:7,items:".scrb5 ul",loop:true,prev:".arr_l2",next:".arr_r2"}).autoscroll({ autoplay: true,interval:4000 });
$(".scrb6").scrollable({size:3,items:".scrb6 ul",loop:true});
$(".scrb7").scrollable({size:3,items:".scrb7 ul",loop:true,prev:".arr_l3",next:".arr_r3"}).autoscroll({ autoplay: true,interval:4000 });
$(".scrb8").scrollable({size:3,items:".scrb8 ul",loop:true,prev:".arr_l4",next:".arr_r4"}).autoscroll({ autoplay: true,interval:4000 });
$(".scrb9").scrollable({size:3,items:".scrb9 ul",loop:true,prev:".arr_l",next:".arr_r"});
$(".scrb10").scrollable({size:2,items:".scrb10 ul",loop:true,prev:".arr_l5",next:".arr_r5"});

$('.clb a').find('img').css("opacity","0.3");
$('.clb a').hover(function(){
$(this).find('img').fadeTo('slow',1);
},function(){
$(this).find('img').fadeTo('fast',0.3);
});

$("#ks01 dd").click(function(){
$("#ks01 dd a").removeClass("hover");
$(this).find("a").addClass("hover");
$(".spic").empty();
$(".spic").fadeTo("medium", 0.5);
$(".bp",this).clone().appendTo($(".spic"));
$(".spic").fadeTo("medium", 1);});
$("#ks01 dd:eq(0)").find("a").addClass("hover");
$("#ks01 dd:eq(0)").find(".bp").clone().appendTo($(".spic"));

var io=0;
$(function(){
$(".scrb3 li").click(function(){$(".bigimg1").empty();
$(".bigimg").fadeTo("medium", 0.5);
$(".big1",this).clone().appendTo($(".bigimg1"));
$(".bigimg").fadeTo("medium", 1);
});
$(".scrb3 li:eq(0)").click();
io=1;
setInterval(function(){
$(".scrb3 li:eq("+io+")").click();
io++;
if(io>=$(".scrb3 li").length)
{
io=0	
}
},4000);
});
$(".scrb3 li").mousedown(
function(){
io=$(this).prevAll().length	+1
});

var ii=0;
$(function(){
$(".scrb9 li").click(function(){$(".bigimg").empty();
//$(".bigimg").fadeTo("medium", 0.5);
$(".big",this).clone().appendTo($(".bigimg"));
//$(".bigimg").fadeTo("medium", 1);
});
$(".scrb9 li:eq(0)").click();
ii=1;
setInterval(function(){
$(".scrb9 li:eq("+ii+")").click();
ii++;
if(ii>=$(".scrb9 li").length)
{
ii=0	
}
},4000);
});
$(".scrb9 li").mousedown(
function(){
ii=$(this).prevAll().length	+1
});

$(".scrb6 li").click(function(){$(".bpic").empty();
//$(".bpic").fadeTo("medium", 0.5);
$(".spic",this).clone().appendTo($(".bpic"));
//$(".bpic").fadeTo("medium", 1);
});
$(".scrb6 li:eq(0)").click();

$(".msg :input,.msg textarea").focus(function(){
if($(this).val()==this.defaultValue)
{$(this).val("");}
}).blur(function(){
//if($(this).val()=="")
//{$(this).val(this.defaultValue);}
})

$('.nav li').hover(function(){
$(this).find('.sub_nav').animate({'height': 'toggle'},300)
})

//$(".msg :button").click(function(){
//     if($(".msg :input").val()==""){
//        alert("User Name Can't Empty!");
//     }
//     else if($(".msg textarea").val()=="") {
//        alert("Content Can't Empty!");
//     }
//     else
//     { 
//       $(".msg :eq(0)").submit();
//     }
//});

$("#n0").click(function(){
$(".binner").stop().animate({top:'-384px'},300);
})
$(" #n1").click(function(){
$(".binner").stop().animate({top:'-700px'},300);
})
$("#n2").click(function(){
$(".binner").stop().animate({top:'-1016px'},300);
})
$(".relpic h3 a").click(function(){
$(".binner").stop().animate({top:'0'},300);
return false
})
})